Bug 137696 - Border extent should not follow image aspect ratio
Summary: Border extent should not follow image aspect ratio
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Editor-Border (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR wishlist with 5 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-21 20:55 UTC by Dik Takken
Modified: 2016-06-29 19:43 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 0.9.1


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dik Takken 2006-11-21 20:55:06 UTC
Version:           0.9.0-Beta3 (using KDE KDE 3.5.5)
Installed from:    Gentoo Packages
OS:                Linux

When I add a border to images with extreme aspect ratios, the width of the left and right parts of border is very much different from the width of the top and bottom border.

I would like to create borders that have equal width everywhere.
Comment 1 Laurent COOPER 2006-11-28 23:39:17 UTC
Same thing. I think having border with equal size or proportionnal size should be an option (checkbox?)
Comment 2 caulier.gilles 2007-01-19 14:05:21 UTC
SVN commit 625194 by cgilles:

digiKam from trunk : Border Tool : add new option to handle perserve aspect ratio or not. The border with will be set in percents or in pixels accordinly with this setting.

CCMAIL: digikam-devel@kde.org

BUG: 135141
BUG: 137696

 M  +192 -36   border.cpp  
 M  +52 -20    border.h  
 M  +184 -65   imageeffect_border.cpp  
 M  +9 -1      imageeffect_border.h